{% extends 'base.html.twig' %}

{% block title %}Conférence - {{ convention }}{% endblock %}

{% block body %}
    <h2>Conférence - {{ convention }}</h2>

    {% if comments|length > 0 %}
        {% for comment in comments %}
            {% if comment.photofilename %}
                <img width=500 src="{{ asset('uploads/photos/' ~ comment.photofilename) }}"/>
            {% endif %}

            <h4>{{ comment.author }}</h4>
            <small>
                {{ comment.createdAt|format_datetime('short', 'short', locale='fr') }}
            </small>

            <p>{{ comment.text }}</p>
            <hr>
        {% endfor %}

        <div>
            {% if previous >= 0 %}
                <a href="{{ path('convention', { id: convention.id, offset: previous }) }}">Previous</a>
            {% endif %}
            {% if next < comments|length %}
                <a href="{{ path('convention', { id: convention.id, offset: next }) }}">Next</a>
            {% endif %}
        </div>
    {% else %}
        <div>Aucun commentaire n'a encore été laissé.</div>
    {% endif %}
    <a href="{{ path('homepage') }}">Liste des conférences</a>
{% endblock %}
